Subject: Re: [PATCH v4 0/5] Patches to avoid reporting conversion changes.

From: Finn Arne Gangstad <[email-masked]>
Date: Mon, 7 Jun 2010 21:50:13 +0200

On Mon, Jun 07, 2010 at 06:37:56PM +0200, Henrik Grubbström wrote:
>
> On Mon, 7 Jun 2010, Finn Arne Gangstad wrote:
>
>> I think it would be best if git at this time could decide that the
>> affected files also become dirty. The ideal commit is one that
>> both alters the .gitattributes _and_ the affected files at the same
>> time, and git should make it easy to create that commit.
>
> I agree in the case of newly added attributes. In the case of 
> repositories already containing unnormalized files this however leads to 
> problems.
> eg
>
>   Consider the case above, but a while later when the repository has been
>   fixed at HEAD. If an old version from before the normalization is
>   checked out, the index will once again become dirty, which means that
>   git will refuse the user to check out some other version unless the
>   --force flag is given. Excessive use of --force is not a good thing.
>   If the user is aware of the problem, and checking out old versions is
>   a common operation, toggling the suggested option might be a good
>   solution.

Maybe I misunderstand something, but if you check out an older
version, the .gitattributes file will change to match the old version.
The old version should not have the conversion attributes set, and
should therefore result in a clean checkout?

- Finn Arne